Subject: Re: git format-patch --in-reply-to allows header injection. Intended?

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Sep 2014 16:59:49 -0700

Niklas Hambüchen <[email-masked]> writes:

> On 04/09/14 23:36, Junio C Hamano wrote:
>> While I do not think of a reason to specify such a string to the
>> in-reply-to option (I'd rather edit the output in the editor if I
>> wanted to do anything fancy [*1*]), I do not think there is a reason
>> why you want to add a code to forbid such use, either.
>
> My question was to find out whether I can pass untrusted user input to
> ...

Ah, in general, anybody who passes unvetted user input to any Git
Porcelain deserves what s/he gets, so perhaps you would want to at
least make sure that the input is a single line, or something.